diff --git a/src/util-classification-config.c b/src/util-classification-config.c
index b25e03a..19169f8 100644
--- a/src/util-classification-config.c
+++ b/src/util-classification-config.c
@@ -14,24 +14,8 @@
 #include "util-debug.h"
 #include "util-fmemopen.h"
 
-/* Regex to parse the classtype argument from a Signature.  The first substring
- * holds the classtype name, the second substring holds the classtype the
- * classtype description, and the third argument holds the priority */
-#define DETECT_CLASSCONFIG_REGEX "^\\s*config\\s*classification\\s*:\\s*([a-zA-Z][a-zA-Z0-9-_]*)\\s*,\\s*(.+)\\s*,\\s*(\\d+)\\s*$"
-
-/* Default path for the classification.config file */
-#define SC_CLASS_CONF_DEF_CONF_FILEPATH "classification.config"
-
 /* Holds a pointer to the default path for the classification.config file */
-static const char *default_file_path = SC_CLASS_CONF_DEF_CONF_FILEPATH;
-static FILE *fd = NULL;
-static pcre *regex = NULL;
-static pcre_extra *regex_study = NULL;
-
-uint32_t SCClassConfClasstypeHashFunc(HashTable *ht, void *data, uint16_t datalen);
-char SCClassConfClasstypeHashCompareFunc(void *data1, uint16_t datalen1,
-                                         void *data2, uint16_t datalen2);
-void SCClassConfClasstypeHashFree(void *ch);
+static const char *classification_default_file_path = SC_CLASS_CONF_DEF_CONF_FILEPATH;
 
 /**
  * \brief Returns the path for the Classification Config file.  We check if we
@@ -42,9 +26,9 @@ void SCClassConfClasstypeHashFree(void *ch);
  * \retval log_filename Pointer to a string containing the path for the
  *                      Classification Config file.
  */
-static char *SCClassConfGetConfFilename(void)
+char *SCClassConfGetConfFilename(void)
 {
-    char *log_filename = (char *)default_file_path;
+    char *log_filename = (char *)classification_default_file_path;
 
     ConfGet("classification-file", &log_filename);
 
@@ -52,86 +36,13 @@ static char *SCClassConfGetConfFilename(void)
 }
 
 /**
- * \brief Inits the context to be used by the Classification Config parsing API.
- *
- *        This function initializes the hash table to be used by the Detection
- *        Engine Context to hold the data from the classification.config file,
- *        obtains the file desc to parse the classification.config file, and
- *        inits the regex used to parse the lines from classification.config
- *        file.
- *
- * \param de_ctx Pointer to the Detection Engine Context.
- *
- * \retval  0 On success.
- * \retval -1 On failure.
- */
-static inline int SCClassConfInitContext(DetectEngineCtx *de_ctx)
-{
-    char *filename = NULL;
-    const char *eb = NULL;
-    int eo;
-    int opts = 0;
-
-    /* init the hash table to be used by the classification config Classtypes */
-    de_ctx->class_conf_ht = HashTableInit(4096, SCClassConfClasstypeHashFunc,
-                                          SCClassConfClasstypeHashCompareFunc,
-                                          SCClassConfClasstypeHashFree);
-    if (de_ctx->class_conf_ht == NULL) {
-        SCLogError(SC_ERR_HASH_TABLE_INIT, "Error initializing the hash "
-                   "table");
-        return -1;
-    }
-
-    /* if it is not NULL, use the file descriptor.  The hack so that we can
-     * avoid using a dummy classification file for testing purposes and
-     * instead use an input stream against a buffer containing the
-     * classification strings */
-    if (fd == NULL) {
-        filename = SCClassConfGetConfFilename();
-        if ( (fd = fopen(filename, "r")) == NULL) {
-            SCLogError(SC_ERR_FOPEN, "Error opening file: \"%s\": %s", filename, strerror(errno));
-            goto error;
-        }
-    }
-
-    regex = pcre_compile(DETECT_CLASSCONFIG_REGEX, opts, &eb, &eo, NULL);
-    if (regex == NULL) {
-        SCLogDebug("Compile of \"%s\" failed at offset %" PRId32 ": %s",
-                   DETECT_CLASSCONFIG_REGEX, eo, eb);
-        goto error;
-    }
-
-    regex_study = pcre_study(regex, 0, &eb);
-    if (eb != NULL) {
-        SCLogDebug("pcre study failed: %s", eb);
-        goto error;
-    }
-
-    return 0;
-
- error:
-    if (de_ctx->class_conf_ht != NULL) {
-        HashTableFree(de_ctx->class_conf_ht);
-        de_ctx->class_conf_ht = NULL;
-    }
-    if (fd != NULL) {
-        fclose(fd);
-        fd = NULL;
-    }
-
-    printf("\nPlease check the \"classification-file\" option in your suricata.yaml file.\n");
-    exit(EXIT_FAILURE);
-//    return -1;
-}
-
-/**
  * \brief Releases resources used by the Classification Config API.
  */
-static void SCClassConfDeInitContext(DetectEngineCtx *de_ctx)
+void SCClassConfDeInitContext(DetectEngineCtx *de_ctx)
 {
 
     fclose(fd);
-    default_file_path = SC_CLASS_CONF_DEF_CONF_FILEPATH;
+    classification_default_file_path = SC_CLASS_CONF_DEF_CONF_FILEPATH;
     fd = NULL;
     return;
 }
@@ -141,7 +52,7 @@ static void SCClassConfDeInitContext(DetectEngineCtx *de_ctx)
  *
  * \param str Pointer to the string to be converted.
  */
-static char *SCClassConfStringToLowercase(const char *str)
+char *SCClassConfStringToLowercase(const char *str)
 {
     char *new_str = NULL;
     char *temp_str = NULL;
@@ -161,81 +72,6 @@ static char *SCClassConfStringToLowercase(const char *str)
 }
 
 /**
- * \brief Parses a line from the classification file and adds it to Classtype
- *        hash table in DetectEngineCtx, i.e. DetectEngineCtx->class_conf_ht.
- *
- * \param rawstr Pointer to the string to be parsed.
- * \param de_ctx Pointer to the Detection Engine Context.
- *
- * \retval  0 On success.
- * \retval -1 On failure.
- */
-static inline int SCClassConfAddClasstype(char *rawstr, DetectEngineCtx *de_ctx)
-{
-    const char *ct_name = NULL;
-    const char *ct_desc = NULL;
-    const char *ct_priority_str = NULL;
-    int ct_priority = 0;
-
-    SCClassConfClasstype *ct_new = NULL;
-    SCClassConfClasstype *ct_lookup = NULL;
-
-#define MAX_SUBSTRINGS 30
-    int ret = 0;
-    int ov[MAX_SUBSTRINGS];
-
-    ret = pcre_exec(regex, regex_study, rawstr, strlen(rawstr), 0, 0, ov, 30);
-    if (ret < 0) {
-        SCLogError(SC_ERR_INVALID_SIGNATURE, "Invalid Classtype in "
-                   "classification.config file");
-        goto error;
-    }
-
-    /* retrieve the classtype name */
-    ret = pcre_get_substring((char *)rawstr, ov, 30, 1, &ct_name);
-    if (ret < 0) {
-        SCLogInfo("pcre_get_substring() failed");
-        goto error;
-    }
-
-    /* retrieve the classtype description */
-    ret = pcre_get_substring((char *)rawstr, ov, 30, 2, &ct_desc);
-    if (ret < 0) {
-        SCLogInfo("pcre_get_substring() failed");
-        goto error;
-    }
-
-    /* retrieve the classtype priority */
-    ret = pcre_get_substring((char *)rawstr, ov, 30, 3, &ct_priority_str);
-    if (ret < 0) {
-        SCLogInfo("pcre_get_substring() failed");
-        goto error;
-    }
-
-    ct_priority = atoi(ct_priority_str);
-
-    /* Create a new instance of the parsed Classtype string */
-    ct_new = SCClassConfAllocClasstype(ct_name, ct_desc, ct_priority);
-    if (ct_new == NULL)
-        goto error;
-
-    /* Check if the Classtype is present in the HashTable.  In case it's present
-     * ignore it, as it is a duplicate.  If not present, add it to the table */
-    ct_lookup = HashTableLookup(de_ctx->class_conf_ht, ct_new, 0);
-    if (ct_lookup == NULL) {
-        if (HashTableAdd(de_ctx->class_conf_ht, ct_new, 0) < 0)
-            SCLogDebug("HashTable Add failed");
-    } else {
-        SCLogDebug("Duplicate classtype found inside classification.config");
-    }
-
-    return 0;
-
- error:
-    return -1;
-}
-
-/**
  * \brief Checks if a string is a comment or a blank line.
  *
  *        Comments lines are lines of the following format -
@@ -247,7 +83,7 @@ static inline int SCClassConfAddClasstype(char *rawstr, DetectEngineCtx *de_ctx)
  * \retval 1 On the argument string being a comment or blank line
  * \retval 0 Otherwise
  */
-static int SCClassConfIsLineBlankOrComment(char *line)
+int SCClassConfIsLineBlankOrComment(char *line)
 {
     while (*line != '\0') {
         /* we have a comment */
@@ -266,31 +102,6 @@ static int SCClassConfIsLineBlankOrComment(char *line)
 }
 
 /**
- * \brief Parses the Classification Config file and updates the
- *        DetectionEngineCtx->class_conf_ht with the Classtype information.
- *
- * \param de_ctx Pointer to the Detection Engine Context.
- */
-static inline void SCClassConfParseFile(DetectEngineCtx *de_ctx)
-{
-    char line[1024];
-
-    while (fgets(line, sizeof(line), fd) != NULL) {
-        if (SCClassConfIsLineBlankOrComment(line))
-            continue;
-
-        SCClassConfAddClasstype(line, de_ctx);
-    }
-
-#ifdef UNITTESTS
-    SCLogInfo("Added \"%d\" classification types from the classification file",
-              de_ctx->class_conf_ht->count);
-#endif
-
-    return;
-}
-
-/**
  * \brief Returns a new SCClassConfClasstype instance.  The classtype string
  *        is converted into lowercase, before being assigned to the instance.
  *
diff --git a/src/util-classification-config.h b/src/util-classification-config.h
index effca75..b4ab75e 100644
--- a/src/util-classification-config.h
+++ b/src/util-classification-config.h
@@ -5,6 +5,18 @@
 #ifndef __UTIL_CLASSIFICATION_CONFIG_H__
 #define __UTIL_CLASSIFICATION_CONFIG_H__
 
+/* Regex to parse the classtype argument from a Signature.  The first substring
+ * holds the classtype name, the second substring holds the classtype the
+ * classtype description, and the third argument holds the priority */
+#define DETECT_CLASSCONFIG_REGEX "^\\s*config\\s*classification\\s*:\\s*([a-zA-Z][a-zA-Z0-9-_]*)\\s*,\\s*(.+)\\s*,\\s*(\\d+)\\s*$"
+
+/* Default path for the classification.config file */
+#define SC_CLASS_CONF_DEF_CONF_FILEPATH "classification.config"
+
+static FILE *fd = NULL;
+static pcre *classification_regex = NULL;
+static pcre_extra *classification_regex_study = NULL;
+
 /**
  * \brief Container for a Classtype from the Classification.config file.
  */
@@ -31,4 +43,189 @@ void SCClassConfGenerateInValidDummyClassConfigFD02(void);
 void SCClassConfGenerateInValidDummyClassConfigFD03(void);
 void SCClassConfDeleteDummyClassificationConfigFD(void);
 
+uint32_t SCClassConfClasstypeHashFunc(HashTable *ht, void *data, uint16_t datalen);
+char SCClassConfClasstypeHashCompareFunc(void *data1, uint16_t datalen1,
+                                         void *data2, uint16_t datalen2);
+void SCClassConfClasstypeHashFree(void *ch);
+
+char* SCClassConfGetConfFilename(void);
+int SCClassConfIsLineBlankOrComment(char *);
+
+/** ------- Inline functions ------ */
+
+
+/**
+ * \brief Inits the context to be used by the Classification Config parsing API.
+ *
+ *        This function initializes the hash table to be used by the Detection
+ *        Engine Context to hold the data from the classification.config file,
+ *        obtains the file desc to parse the classification.config file, and
+ *        inits the classification_regex used to parse the lines from classification.config
+ *        file.
+ *
+ * \param de_ctx Pointer to the Detection Engine Context.
+ *
+ * \retval  0 On success.
+ * \retval -1 On failure.
+ */
+static inline int SCClassConfInitContext(DetectEngineCtx *de_ctx)
+{
+    char *filename = NULL;
+    const char *eb = NULL;
+    int eo;
+    int opts = 0;
+
+    /* init the hash table to be used by the classification config Classtypes */
+    de_ctx->class_conf_ht = HashTableInit(4096, SCClassConfClasstypeHashFunc,
+                                          SCClassConfClasstypeHashCompareFunc,
+                                          SCClassConfClasstypeHashFree);
+    if (de_ctx->class_conf_ht == NULL) {
+        SCLogError(SC_ERR_HASH_TABLE_INIT, "Error initializing the hash "
+                   "table");
+        return -1;
+    }
+
+    /* if it is not NULL, use the file descriptor.  The hack so that we can
+     * avoid using a dummy classification file for testing purposes and
+     * instead use an input stream against a buffer containing the
+     * classification strings */
+    if (fd == NULL) {
+        filename = SCClassConfGetConfFilename();
+        if ( (fd = fopen(filename, "r")) == NULL) {
+            SCLogError(SC_ERR_FOPEN, "Error opening file: \"%s\": %s", filename, strerror(errno));
+            goto error;
+        }
+    }
+
+    classification_regex = pcre_compile(DETECT_CLASSCONFIG_REGEX, opts, &eb, &eo, NULL);
+    if (classification_regex == NULL) {
+        SCLogDebug("Compile of \"%s\" failed at offset %" PRId32 ": %s",
+                   DETECT_CLASSCONFIG_REGEX, eo, eb);
+        goto error;
+    }
+
+    classification_regex_study = pcre_study(classification_regex, 0, &eb);
+    if (eb != NULL) {
+        SCLogDebug("pcre study failed: %s", eb);
+        goto error;
+    }
+
+    return 0;
+
+ error:
+    if (de_ctx->class_conf_ht != NULL) {
+        HashTableFree(de_ctx->class_conf_ht);
+        de_ctx->class_conf_ht = NULL;
+    }
+    if (fd != NULL) {
+        fclose(fd);
+        fd = NULL;
+    }
+
+    printf("\nPlease check the \"classification-file\" option in your suricata.yaml file.\n");
+    exit(EXIT_FAILURE);
+//    return -1;
+}
+
+/**
+ * \brief Parses a line from the classification file and adds it to Classtype
+ *        hash table in DetectEngineCtx, i.e. DetectEngineCtx->class_conf_ht.
+ *
+ * \param rawstr Pointer to the string to be parsed.
+ * \param de_ctx Pointer to the Detection Engine Context.
+ *
+ * \retval  0 On success.
+ * \retval -1 On failure.
+ */
+static inline int SCClassConfAddClasstype(char *rawstr, DetectEngineCtx *de_ctx)
+{
+    const char *ct_name = NULL;
+    const char *ct_desc = NULL;
+    const char *ct_priority_str = NULL;
+    int ct_priority = 0;
+
+    SCClassConfClasstype *ct_new = NULL;
+    SCClassConfClasstype *ct_lookup = NULL;
+
+#define MAX_SUBSTRINGS 30
+    int ret = 0;
+    int ov[MAX_SUBSTRINGS];
+
+    ret = pcre_exec(classification_regex, classification_regex_study, rawstr, strlen(rawstr), 0, 0, ov, 30);
+    if (ret < 0) {
+        SCLogError(SC_ERR_INVALID_SIGNATURE, "Invalid Classtype in "
+                   "classification.config file");
+        goto error;
+    }
+
+    /* retrieve the classtype name */
+    ret = pcre_get_substring((char *)rawstr, ov, 30, 1, &ct_name);
+    if (ret < 0) {
+        SCLogInfo("pcre_get_substring() failed");
+        goto error;
+    }
+
+    /* retrieve the classtype description */
+    ret = pcre_get_substring((char *)rawstr, ov, 30, 2, &ct_desc);
+    if (ret < 0) {
+        SCLogInfo("pcre_get_substring() failed");
+        goto error;
+    }
+
+    /* retrieve the classtype priority */
+    ret = pcre_get_substring((char *)rawstr, ov, 30, 3, &ct_priority_str);
+    if (ret < 0) {
+        SCLogInfo("pcre_get_substring() failed");
+        goto error;
+    }
+
+    ct_priority = atoi(ct_priority_str);
+
+    /* Create a new instance of the parsed Classtype string */
+    ct_new = SCClassConfAllocClasstype(ct_name, ct_desc, ct_priority);
+    if (ct_new == NULL)
+        goto error;
+
+    /* Check if the Classtype is present in the HashTable.  In case it's present
+     * ignore it, as it is a duplicate.  If not present, add it to the table */
+    ct_lookup = HashTableLookup(de_ctx->class_conf_ht, ct_new, 0);
+    if (ct_lookup == NULL) {
+        if (HashTableAdd(de_ctx->class_conf_ht, ct_new, 0) < 0)
+            SCLogDebug("HashTable Add failed");
+    } else {
+        SCLogDebug("Duplicate classtype found inside classification.config");
+    }
+
+    return 0;
+
+ error:
+    return -1;
+}
+
+/**
+ * \brief Parses the Classification Config file and updates the
+ *        DetectionEngineCtx->class_conf_ht with the Classtype information.
+ *
+ * \param de_ctx Pointer to the Detection Engine Context.
+ */
+static inline void SCClassConfParseFile(DetectEngineCtx *de_ctx)
+{
+    char line[1024];
+
+    while (fgets(line, sizeof(line), fd) != NULL) {
+        if (SCClassConfIsLineBlankOrComment(line))
+            continue;
+
+        SCClassConfAddClasstype(line, de_ctx);
+    }
+
+#ifdef UNITTESTS
+    SCLogInfo("Added \"%d\" classification types from the classification file",
+              de_ctx->class_conf_ht->count);
+#endif
+
+    return;
+}
+
+
 #endif /* __UTIL_CLASSIFICATION_CONFIG_H__ */
diff --git a/src/util-debug-filters.c b/src/util-debug-filters.c
index d9906ce..dbdf4bf 100644
--- a/src/util-debug-filters.c
+++ b/src/util-debug-filters.c
@@ -27,23 +27,23 @@ int sc_log_fd_filters_present = 0;
 /**
  * \brief Holds the fine-grained filters
  */
-static SCLogFGFilterFile *sc_log_fg_filters[SC_LOG_FILTER_MAX] = { NULL, NULL };
+SCLogFGFilterFile *sc_log_fg_filters[SC_LOG_FILTER_MAX] = { NULL, NULL };
 
 /**
  * \brief Mutex for accessing the fine-grained fiters sc_log_fg_filters
  */
-static SCMutex sc_log_fg_filters_m[SC_LOG_FILTER_MAX] = { PTHREAD_MUTEX_INITIALIZER,
+SCMutex sc_log_fg_filters_m[SC_LOG_FILTER_MAX] = { PTHREAD_MUTEX_INITIALIZER,
                                                                   PTHREAD_MUTEX_INITIALIZER };
 
 /**
  * \brief Holds the function-dependent filters
  */
-static SCLogFDFilter *sc_log_fd_filters = NULL;
+SCLogFDFilter *sc_log_fd_filters = NULL;
 
 /**
  * \brief Mutex for accessing the function-dependent filters sc_log_fd_filters
  */
-static SCMutex sc_log_fd_filters_m = PTHREAD_MUTEX_INITIALIZER;
+SCMutex sc_log_fd_filters_m = PTHREAD_MUTEX_INITIALIZER;
 
 /**
  * \brief Holds the thread_list required by function-dependent filters
@@ -55,271 +55,6 @@ static SCLogFDFilterThreadList *sc_log_fd_filters_tl = NULL;
  */
 static SCMutex sc_log_fd_filters_tl_m = PTHREAD_MUTEX_INITIALIZER;
 
-
-/**
- * \brief Helper function used internally to add a FG filter.  This function is
- *        called when the file component of the incoming filter has no entry
- *        in the filter list.
- *
- * \param fgf_file The file component(basically the position in the list) from
- *                 the filter list, after which the new filter has to be added
- * \param file     File_name of the filter
- * \param function Function_name of the filter
- * \param line     Line number of the filter
- * \param listtype The filter listtype.  Can be either a blacklist or whitelist
- *                 filter listtype(SC_LOG_FILTER_BL or SC_LOG_FILTER_WL)
- */
-static inline void SCLogAddToFGFFileList(SCLogFGFilterFile *fgf_file,
-                                         const char *file,
-                                         const char *function, int line,
-                                         int listtype)
-{
-    SCLogFGFilterFile *fgf_file_temp = NULL;
-    SCLogFGFilterFunc *fgf_func_temp = NULL;
-    SCLogFGFilterLine *fgf_line_temp = NULL;
-
-    if ( (fgf_file_temp = SCMalloc(sizeof(SCLogFGFilterFile))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_file_temp, 0, sizeof(SCLogFGFilterFile));
-
-    if ( file != NULL && (fgf_file_temp->file = SCStrdup(file)) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    if ( (fgf_func_temp = SCMalloc(sizeof(SCLogFGFilterFunc))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_func_temp, 0, sizeof(SCLogFGFilterFunc));
-
-    if ( function != NULL && (fgf_func_temp->func = SCStrdup(function)) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
-
-    fgf_line_temp->line = line;
-
-    /* add to the lists */
-    fgf_func_temp->line = fgf_line_temp;
-
-    fgf_file_temp->func = fgf_func_temp;
-
-    if (fgf_file == NULL)
-        sc_log_fg_filters[listtype] = fgf_file_temp;
-    else
-        fgf_file->next = fgf_file_temp;
-
-    return;
-}
-
-/**
- * \brief Helper function used internally to add a FG filter.  This function is
- *        called when the file component of the incoming filter has an entry
- *        in the filter list, but the function component doesn't have an entry
- *        for the corresponding file component
- *
- * \param fgf_file The file component from the filter list to which the new
- *                 filter has to be added
- * \param fgf_func The function component(basically the position in the list),
- *                 from the filter list, after which the new filter has to be
- *                 added
- * \param function Function_name of the filter
- * \param line     Line number of the filter
- */
-static inline void SCLogAddToFGFFuncList(SCLogFGFilterFile *fgf_file,
-                                         SCLogFGFilterFunc *fgf_func,
-                                         const char *function, int line)
-{
-    SCLogFGFilterFunc *fgf_func_temp = NULL;
-    SCLogFGFilterLine *fgf_line_temp = NULL;
-
-    if ( (fgf_func_temp = SCMalloc(sizeof(SCLogFGFilterFunc))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_func_temp, 0, sizeof(SCLogFGFilterFunc));
-
-    if ( function != NULL && (fgf_func_temp->func = SCStrdup(function)) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
-
-    fgf_line_temp->line = line;
-
-    /* add to the lists */
-    fgf_func_temp->line = fgf_line_temp;
-
-    if (fgf_func == NULL)
-        fgf_file->func = fgf_func_temp;
-    else
-        fgf_func->next = fgf_func_temp;
-
-    return;
-}
-
-/**
- * \brief Helper function used internally to add a FG filter.  This function is
- *        called when the file and function components of the incoming filter
- *        have an entry in the filter list, but the line component doesn't have
- *        an entry for the corresponding function component
- *
- * \param fgf_func The function component from the filter list to which the new
- *                 filter has to be added
- * \param fgf_line The function component(basically the position in the list),
- *                 from the filter list, after which the new filter has to be
- *                 added
- * \param line     Line number of the filter
- */
-static inline void SCLogAddToFGFLineList(SCLogFGFilterFunc *fgf_func,
-                                         SCLogFGFilterLine *fgf_line,
-                                         int line)
-{
-    SCLogFGFilterLine *fgf_line_temp = NULL;
-
-    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
-        printf("Error Allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
-
-    fgf_line_temp->line = line;
-
-    /* add to the lists */
-    if (fgf_line == NULL)
-        fgf_func->line = fgf_line_temp;
-    else
-        fgf_line->next = fgf_line_temp;
-
-    return;
-}
-
-/**
- * \brief Helper function used internally to add a FG filter
- *
- * \param file     File_name of the filter
- * \param function Function_name of the filter
- * \param line     Line number of the filter
- * \param listtype The filter listtype.  Can be either a blacklist or whitelist
- *                 filter listtype(SC_LOG_FILTER_BL or SC_LOG_FILTER_WL)
- *
- * \retval  0 on successfully adding the filter;
- * \retval -1 on failure
- */
-static inline int SCLogAddFGFilter(const char *file, const char *function,
-                                   int line, int listtype)
-{
-    SCLogFGFilterFile *fgf_file = NULL;
-    SCLogFGFilterFile *prev_fgf_file = NULL;
-
-    SCLogFGFilterFunc *fgf_func = NULL;
-    SCLogFGFilterFunc *prev_fgf_func = NULL;
-
-    SCLogFGFilterLine *fgf_line = NULL;
-    SCLogFGFilterLine *prev_fgf_line = NULL;
-
-    int found = 0;
-
-    if (sc_log_module_initialized != 1) {
-        printf("Logging module not initialized.  Call SCLogInitLogModule() "
-               "first before using the debug API\n");
-        return -1 ;
-    }
-
-    if (file == NULL && function == NULL && line < 0) {
-        printf("Error: Invalid arguments supplied to SCLogAddFGFilter\n");
-        return -1;
-    }
-
-    SCMutex *m = &sc_log_fg_filters_m[listtype];
-
-    SCMutexLock(m);
-
-    fgf_file = sc_log_fg_filters[listtype];
-
-    prev_fgf_file = fgf_file;
-    while (fgf_file != NULL) {
-        prev_fgf_file = fgf_file;
-        if (file == NULL && fgf_file->file == NULL)
-            found = 1;
-        else if (file != NULL && fgf_file->file != NULL)
-            found = (strcmp(file, fgf_file->file) == 0);
-        else
-            found = 0;
-
-        if (found == 1)
-            break;
-
-        fgf_file = fgf_file->next;
-    }
-
-    if (found == 0) {
-        SCLogAddToFGFFileList(prev_fgf_file, file, function, line, listtype);
-        goto done;
-    }
-
-    found = 0;
-    fgf_func = fgf_file->func;
-    prev_fgf_func = fgf_func;
-    while (fgf_func != NULL) {
-        prev_fgf_func = fgf_func;
-        if (function == NULL && fgf_func->func == NULL)
-            found = 1;
-        else if (function != NULL && fgf_func->func != NULL)
-            found = (strcmp(function, fgf_func->func) == 0);
-        else
-            found = 0;
-
-        if (found == 1)
-            break;
-
-        fgf_func = fgf_func->next;
-    }
-
-    if (found == 0) {
-        SCLogAddToFGFFuncList(fgf_file, prev_fgf_func, function, line);
-        goto done;
-    }
-
-    found = 0;
-    fgf_line = fgf_func->line;
-    prev_fgf_line = fgf_line;
-    while(fgf_line != NULL) {
-        prev_fgf_line = fgf_line;
-        if (line == fgf_line->line) {
-            found = 1;
-            break;
-        }
-
-        fgf_line = fgf_line->next;
-    }
-
-    if (found == 0) {
-        SCLogAddToFGFLineList(fgf_func, prev_fgf_line, line);
-        goto done;
-    }
-
- done:
-    SCMutexUnlock(&sc_log_fg_filters_m[listtype]);
-    sc_log_fg_filters_present = 1;
-
-    return 0;
-}
-
 /**
  * \brief Internal function used to check for matches against registered FG
  *        filters.  Checks if there is a match for the incoming log_message with
@@ -607,22 +342,6 @@ int SCLogPrintFGFilters()
  */
 
 /**
- * \brief Releases the memory alloted to a FD filter
- *
- * \param Pointer to the FD filter that has to be freed
- */
-static inline void SCLogReleaseFDFilter(SCLogFDFilter *fdf)
-{
-    if (fdf != NULL) {
-        if (fdf->func != NULL)
-            SCFree(fdf->func);
-        SCFree(fdf);
-    }
-
-    return;
-}
-
-/**
  * \brief Checks if there is a match for the incoming log_message with any
  *        of the FD filters
  *
